﻿Imports NorthwindModel

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Protected Sub BindGrid()
        Using entities As NorthwindEntities = New NorthwindEntities()
            Dim countries = (From customer In entities.Customers _
                             Group customer By customer.Country Into cGroup = Group, Count() _
                            Select New With { _
                .Country = Country,
                .Count = cGroup.Count()
            }).Take(10)
            gvCustomers.DataSource = countries
            gvCustomers.DataBind()
        End Using
    End Sub
End Class
